/*
 * Copyright (c) 2007, Going Dot Com Inc. All rights reserved.
 */

package jp.co.going.xbrl.instance;

/**
 * @author Going Dot Com Inc.
 */
class XbContextObj {

    private String contextId;
    private String contextType;
    private String name;
    private String entityId;
    private String periodStartDate;
    private String periodEndDate;
    private String precision;
    private String cwa;
    private String unitFlag;

    /**
     * contextIdを取得します。
     * @return contextId
     */
    protected String getContextId() {
        return contextId;
    }

    /**
     * contextIdを設定します。
     * @param contextId contextId
     */
    protected void setContextId(String contextId) {
        this.contextId = contextId;
    }

    /**
     * contextTypeを取得します。
     * @return contextType
     */
    protected String getContextType() {
        return contextType;
    }

    /**
     * contextTypeを設定します。
     * @param contextType contextType
     */
    protected void setContextType(String contextType) {
        this.contextType = contextType;
    }

    /**
     * cwaを取得します。
     * @return cwa
     */
    protected String getCwa() {
        return cwa;
    }

    /**
     * cwaを設定します。
     * @param cwa cwa
     */
    protected void setCwa(String cwa) {
        this.cwa = cwa;
    }

    /**
     * entityIdを取得します。
     * @return entityId
     */
    protected String getEntityId() {
        return entityId;
    }

    /**
     * entityIdを設定します。
     * @param entityId entityId
     */
    protected void setEntityId(String entityId) {
        this.entityId = entityId;
    }

    /**
     * nameを取得します。
     * @return name
     */
    protected String getName() {
        return name;
    }

    /**
     * nameを設定します。
     * @param name name
     */
    protected void setName(String name) {
        this.name = name;
    }

    /**
     * periodEndDateを取得します。
     * @return periodEndDate
     */
    protected String getPeriodEndDate() {
        return periodEndDate;
    }

    /**
     * periodEndDateを設定します。
     * @param periodEndDate periodEndDate
     */
    protected void setPeriodEndDate(String periodEndDate) {
        this.periodEndDate = periodEndDate;
    }

    /**
     * periodStartDateを取得します。
     * @return periodStartDate
     */
    protected String getPeriodStartDate() {
        return periodStartDate;
    }

    /**
     * periodStartDateを設定します。
     * @param periodStartDate periodStartDate
     */
    protected void setPeriodStartDate(String periodStartDate) {
        this.periodStartDate = periodStartDate;
    }

    /**
     * precisionを取得します。
     * @return precision
     */
    protected String getPrecision() {
        return precision;
    }

    /**
     * precisionを設定します。
     * @param precision precision
     */
    protected void setPrecision(String precision) {
        this.precision = precision;
    }

    /**
     * unitFlagを取得します。
     * @return unitFlag
     */
    protected String getUnitFlag() {
        return unitFlag;
    }

    /**
     * unitFlagを設定します。
     * @param unitFlag unitFlag
     */
    protected void setUnitFlag(String unitFlag) {
        this.unitFlag = unitFlag;
    }
}